package com.gyee.frame.controller.gen;

import com.gyee.frame.netty.websocket.util.SocketToolController;
import org.apache.shiro.authz.annotation.RequiresPermissions;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.ui.ModelMap;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;
import com.github.pagehelper.PageInfo;
import com.gyee.frame.common.base.BaseController;
import com.gyee.frame.common.domain.AjaxResult;
import com.gyee.frame.model.auto.Reportdetail;
import com.gyee.frame.model.custom.TableSplitResult;
import com.gyee.frame.model.custom.Tablepar;
import com.gyee.frame.model.custom.TitleVo;
import com.gyee.frame.service.ReportdetailService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;

@Controller
@RequestMapping("ReportdetailController")
@Api(value = "")
public class ReportdetailController extends SocketToolController {
	
	private String prefix = "gen/reportdetail";
	@Autowired
	private ReportdetailService reportdetailService;
	
	@GetMapping("view")
	@RequiresPermissions("gen:reportdetail:view")
    public String view(ModelMap model)
    {	
		String str="";
		setTitle(model, new TitleVo("列表", str+"管理", true,"欢迎进入"+str+"页面", true, false));
        return prefix + "/list";
    }
	
	//@Log(title = "集合查询", action = "111")
	@PostMapping("list")
	@RequiresPermissions("gen:reportdetail:list")
	@ResponseBody
	public Object list(Tablepar tablepar,String searchText){
		PageInfo<Reportdetail> page=reportdetailService.list(tablepar,searchText) ; 
		TableSplitResult<Reportdetail> result=new TableSplitResult<Reportdetail>(page.getPageNum(), page.getTotal(), page.getList()); 
		return  result;
	}
	
	/**
     * 新增
     */

    @GetMapping("/add")
    public String add(ModelMap modelMap)
    {
        return prefix + "/add";
    }
	
	//@Log(title = "新增", action = "111")
	@PostMapping("add")
	@RequiresPermissions("gen:reportdetail:add")
	@ResponseBody
	public AjaxResult add(Reportdetail reportdetail){
		int b=reportdetailService.insertSelective(reportdetail);
		if(b>0){
			return success();
		}else{
			return error();
		}
	}
	
	/**
	 * 删除用户
	 * @param ids
	 * @return
	 */
	//@Log(title = "删除", action = "111")
	@PostMapping("remove")
	@RequiresPermissions("gen:reportdetail:remove")
	@ResponseBody
	public AjaxResult remove(String ids){
		int b=reportdetailService.deleteByPrimaryKey(ids);
		if(b>0){
			return success();
		}else{
			return error();
		}
	}
	
	/**
	 * 检查用户
	 * @param tsysUser
	 * @return
	 */
	@PostMapping("checkNameUnique")
	@ResponseBody
	public int checkNameUnique(Reportdetail reportdetail){
		int b=reportdetailService.checkNameUnique(reportdetail);
		if(b>0){
			return 1;
		}else{
			return 0;
		}
	}
	
	
	/**
	 * 修改跳转
	 * @param id
	 * @param mmap
	 * @return
	 */
	@GetMapping("/edit/{id}")
    public String edit(@PathVariable("id") String id, ModelMap mmap)
    {
        mmap.put("Reportdetail", reportdetailService.selectByPrimaryKey(id));

        return prefix + "/edit";
    }
	
	/**
     * 修改保存
     */
    //@Log(title = "修改", action = "111")
    @RequiresPermissions("gen:reportdetail:edit")
    @PostMapping("/edit")
    @ResponseBody
    public AjaxResult editSave(Reportdetail record)
    {
        return toAjax(reportdetailService.updateByPrimaryKeySelective(record));
    }

    
    /**
   	 * 根据主键查询
   	 * 
   	 * @param id
   	 * @param mmap
   	 * @return
   	 */
   	@PostMapping("/get/{id}")
   	@ApiOperation(value = "根据id查询唯一", notes = "根据id查询唯一")
   	public Reportdetail edit(@PathVariable("id") String id) {
   		return reportdetailService.selectByPrimaryKey(id);
   	}
    

	
}
